Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Interface TreesBlockListener

All Superinterfaces:
  NexusBlockListener

All Known Implementing Classes:
  TreesBlockBuilder

    public interface TreesBlockListener

extends NexusBlockListener

Listens to events that represent Nexus trees blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Method Summary
`void` | `addTranslation(String label, String taxa)` Add a translation.
`void` | `addTree(String label, TreesBlock.NewickTreeString tree)` Adds a tree.

Methods inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockListener
`beginComment, commentText, endBlock, endComment, endTokenGroup, startBlock`

Method Detail

### addTranslation

    void addTranslation(String label,
                        String taxa)

  Add a translation.

  Parameters:
    `label` - the label to add.
    `taxa` - the taxa name this label will represent.

### addTree

    void addTree(String label,
                 TreesBlock.NewickTreeString tree)

  Adds a tree.

  Parameters:
    `label` - the label to give the tree.
    `tree` - the tree to add.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD